use crate::repositories;
use beteran_protobuf_rust as bpr;

impl From<&repositories::member_level::models::MemberLevel>
  for bpr::models::member_level::MemberLevel
{
  fn from(d: &repositories::member_level::models::MemberLevel) -> Self {
    bpr::models::member_level::MemberLevel {
      id: d.id.to_string(),
      name: d.name.clone(),
      sort_order: d.sort_order as u32,
      show: d.show,
      created_at: d.created_at as u64,
      updated_at: d.updated_at as u64,
    }
  }
}
